#define PROGNAME "dialixo"

int SendSpoolFile(PagerService_t *svc, STRPTR spoolFileName);

int DoOneService(STRPTR serviceName, BOOL oneShot);
int DoAllServices(void);

LONG OpenModem(LONG modemNumber, LONG modemStart);
void CloseSerial(void);
void ClearSerial(void);
BOOL HangUp(void);
BOOL Use8N1(BOOL);
BOOL Connected(void);
void SwitchBaud(ULONG baud);
void SerWrite(STRPTR Buf, ULONG Len);
void SerPutChar(UBYTE value);
BOOL SerWaitString(STRPTR target, LONG timeout);
UWORD SerGetRawChar(LONG timeout);
BOOL InitModem(void);

void ErrorMsg(STRPTR fmt, ...);

extern LONG openedModem;

extern BOOL online;

/* some magic returns from the serial input routine */
#define TIMEOUT (0xFFFF)
#define EMPTY (0xFFFE)

enum HandshakeChars {
	HSHAKE_STX = 0x2,
	HSHAKE_ETX,
	HSHAKE_EOT,
	HSHAKE_ACK = 0x6,
	HSHAKE_NAK = 0x15,
	HSHAKE_ETB = 0x17,
	HSHAKE_RS = 0x1E,
	HSHAKE_US
};

#define FILENAME_BUF_SIZE (512)
